Skip to main content
PATCH
Update WhatsApp sender

Authorizations

X-API-KEY
string
header
required

Path Parameters

sender_id
string
required

The WhatsApp sender id.

Body

application/json
display_name
string | null
phone_number_id
string | null

Must be globally unique across senders.

waba_id
string | null
status
enum<string>
Available options:
pending_signup,
provisioning,
active,
flagged,
failed,
archived
metadata
object

Response

The updated WhatsApp sender.

id
string
sender
string
display_name
string | null
phone_number_id
string | null
waba_id
string | null
status
enum<string>
Available options:
pending_signup,
provisioning,
active,
flagged,
failed,
archived
quality_rating
string | null
messaging_tier
string | null
provider
string | null
metadata
object
created_at
string<date-time>
updated_at
string<date-time>